
#include <iostream>

using namespace std;
#define SZ 1000001
bool is_prime[SZ];

int main(void){
	for(int i=0;i<=SZ;i++)
		is_prime[i] = true;
	is_prime[1] = false;
	for(int i=2;i<SZ;i++){
		if(!is_prime[i]) continue;
		for(int j=i+i;j<SZ;j+=i)
			is_prime[j] = false;
	}
	while(true){
		int a,d,n;
		cin >> a >> d >> n;
		if(!(a|d|n)) break;
		a-=d;
		while(n){
			a+=d;
			if(is_prime[a]) n--;
		}
		cout << a << endl;
	}
	return 0;
}
